{: test a compilation error occurs if an eof occurs inside a comment }

{$d+}
program e00b( output );

var
   a  : integer;

begin {e00b}

   writeln( 'fails: premature eof not detected' );

{ !!! end of file here, no newline
